Package: org.codehaus.groovy.ast.expr

## [Java] Class StaticMethodCallExpression

- org.codehaus.groovy.ast.expr.StaticMethodCallExpression

- All Implemented Interfaces and Traits:
    MethodCall

      public class StaticMethodCallExpression
      extends Expression

  A static method call on a class

  Authors:
    James Strachan

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetaMethod` | `metaMethod`
    `ClassNode` | `ownerType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticMethodCallExpression (ClassNode type, String method, Expression arguments)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getArguments()`
    `` | `MetaMethod` | `getMetaMethod()`
    `` | `String` | `getMethod()`
    `` | `String` | `getMethodAsString()`
    `` | `ClassNode` | `getOwnerType()`
    `` | `ASTNode` | `getReceiver()`
    `` | `String` | `getText()`
    `` | `void` | `setMetaMethod(MetaMethod metaMethod)`
    `` | `void` | `setOwnerType(ClassNode ownerType)`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### MetaMethod metaMethod

    - #### ClassNode ownerType

  - ### Constructor Detail

    - #### public StaticMethodCallExpression(ClassNode type, String method, Expression arguments)

  - ### Method Detail

    - #### public Expression getArguments()

    - #### public MetaMethod getMetaMethod()

    - #### public String getMethod()

    - #### public String getMethodAsString()

    - #### public ClassNode getOwnerType()

    - #### public ASTNode getReceiver()

    - #### public String getText()

    - #### public void setMetaMethod(MetaMethod metaMethod)

    - #### public void setOwnerType(ClassNode ownerType)

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)